# Class PostTerrainChangeAddBattlerTagAttr

#### Hierarchy (view full)

- PostTerrainChangeAbAttr
  - PostTerrainChangeAddBattlerTagAttr

- Defined in src/data/ability.ts:2437

#####
Index

### Constructors

constructor

### Properties

showAbility
tagType
terrainTypes
turnCount

### Methods

addCondition
apply
applyPostTerrainChange
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostTerrainChangeAddBattlerTagAttr(tagType, turnCount, ...terrainTypes): PostTerrainChangeAddBattlerTagAttr

- #### Parameters

  - tagType: BattlerTagType
  - turnCount: number
  - `Rest` ...terrainTypes: TerrainType []

  #### Returns PostTerrainChangeAddBattlerTagAttr

  Overrides PostTerrainChangeAbAttr.constructor

  - Defined in src/data/ability.ts:2442

## Properties

### showAbility

showAbility: boolean

Inherited from PostTerrainChangeAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` tagType

tagType: BattlerTagType

- Defined in src/data/ability.ts:2438

### `Private` terrainTypes

terrainTypes: TerrainType []

- Defined in src/data/ability.ts:2440

### `Private` turnCount

turnCount: number

- Defined in src/data/ability.ts:2439

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostTerrainChangeAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostTerrainChangeAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostTerrainChange

- applyPostTerrainChange(pokemon, passive, terrain, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - terrain: TerrainType
  - args: any[]

  #### Returns boolean

  Overrides PostTerrainChangeAbAttr.applyPostTerrainChange

  - Defined in src/data/ability.ts:2450

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostTerrainChangeAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostTerrainChangeAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137